Awkward Array: include/awkward/builder/ArrayBuilder.h File Reference

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs | Functions
ArrayBuilder.h File Reference
`#include <complex>`
`#include <string>`
`#include <vector>`
`#include "awkward/common.h"`
`#include "awkward/builder/Builder.h"`
`#include "awkward/BuilderOptions.h"`

Go to the source code of this file.

## Classes
class | ArrayBuilder
| User interface to the Builder system: the ArrayBuilder is a fixed reference while the Builder subclass instances change in response to accumulating data. More...

## Namespaces
namespace | awkward

## Typedefs
using | BuilderPtr = std::shared_ptr< Builder >

## Functions
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_length (void *arraybuilder, int64_t *result)
| C interface to `ArrayBuilder::length`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_clear (void *arraybuilder)
| C interface to `ArrayBuilder::clear`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_null (void *arraybuilder)
| C interface to `ArrayBuilder::null`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_boolean (void *arraybuilder, bool x)
| C interface to `ArrayBuilder::boolean`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_integer (void *arraybuilder, int64_t x)
| C interface to `ArrayBuilder::integer`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_real (void *arraybuilder, double x)
| C interface to `ArrayBuilder::real`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_complex (void *arraybuilder, double real, double imag)
| C interface to `ArrayBuilder::complex`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_datetime (void *arraybuilder, int64_t x, const char *unit)
| C interface to `ArrayBuilder::datetime`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_timedelta (void *arraybuilder, int64_t x, const char *unit)
| C interface to `ArrayBuilder::timedelta`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_bytestring (void *arraybuilder, const char *x)
| C interface to `ArrayBuilder::bytestring`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_bytestring_length (void *arraybuilder, const char *x, int64_t length)
| C interface to `ArrayBuilder::bytestring`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_string (void *arraybuilder, const char *x)
| C interface to `ArrayBuilder::string`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_string_length (void *arraybuilder, const char *x, int64_t length)
| C interface to `ArrayBuilder::string`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_beginlist (void *arraybuilder)
| C interface to `ArrayBuilder::beginlist`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_endlist (void *arraybuilder)
| C interface to `ArrayBuilder::endlist`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_begintuple (void *arraybuilder, int64_t numfields)
| C interface to `ArrayBuilder::begintuple`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_index (void *arraybuilder, int64_t index)
| C interface to `ArrayBuilder::index`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_endtuple (void *arraybuilder)
| C interface to `ArrayBuilder::endtuple`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_beginrecord (void *arraybuilder)
| C interface to `ArrayBuilder::beginrecord`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_beginrecord_fast (void *arraybuilder, const char *name)
| C interface to `ArrayBuilder::beginrecord_fast`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_beginrecord_check (void *arraybuilder, const char *name)
| C interface to `ArrayBuilder::beginrecord_check`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_field_fast (void *arraybuilder, const char *key)
| C interface to `ArrayBuilder::field_fast`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_field_check (void *arraybuilder, const char *key)
| C interface to `ArrayBuilder::field_check`. More...
LIBAWKWARD_EXPORT_SYMBOL uint8_t | awkward_ArrayBuilder_endrecord (void *arraybuilder)
| C interface to `ArrayBuilder::endrecord`. More...

## Function Documentation

## ◆ awkward_ArrayBuilder_beginlist()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_beginlist | ( | void * | arraybuilder | ) |

C interface to `ArrayBuilder::beginlist`.

## ◆ awkward_ArrayBuilder_beginrecord()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_beginrecord | ( | void * | arraybuilder | ) |

C interface to `ArrayBuilder::beginrecord`.

## ◆ awkward_ArrayBuilder_beginrecord_check()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_beginrecord_check | ( | void * | arraybuilder,
|  | const char * | name
| ) |  |

C interface to `ArrayBuilder::beginrecord_check`.

## ◆ awkward_ArrayBuilder_beginrecord_fast()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_beginrecord_fast | ( | void * | arraybuilder,
|  | const char * | name
| ) |  |

C interface to `ArrayBuilder::beginrecord_fast`.

## ◆ awkward_ArrayBuilder_begintuple()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_begintuple | ( | void * | arraybuilder,
|  | int64_t | numfields
| ) |  |

C interface to `ArrayBuilder::begintuple`.

## ◆ awkward_ArrayBuilder_boolean()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_boolean | ( | void * | arraybuilder,
|  | bool | x
| ) |  |

C interface to `ArrayBuilder::boolean`.

## ◆ awkward_ArrayBuilder_bytestring()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_bytestring | ( | void * | arraybuilder,
|  | const char * | x
| ) |  |

C interface to `ArrayBuilder::bytestring`.

## ◆ awkward_ArrayBuilder_bytestring_length()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_bytestring_length | ( | void * | arraybuilder,
|  | const char * | x,
|  | int64_t | length
| ) |  |

C interface to `ArrayBuilder::bytestring`.

## ◆ awkward_ArrayBuilder_clear()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_clear | ( | void * | arraybuilder | ) |

C interface to `ArrayBuilder::clear`.

## ◆ awkward_ArrayBuilder_complex()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_complex | ( | void * | arraybuilder,
|  | double | real,
|  | double | imag
| ) |  |

C interface to `ArrayBuilder::complex`.

## ◆ awkward_ArrayBuilder_datetime()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_datetime | ( | void * | arraybuilder,
|  | int64_t | x,
|  | const char * | unit
| ) |  |

C interface to `ArrayBuilder::datetime`.

## ◆ awkward_ArrayBuilder_endlist()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_endlist | ( | void * | arraybuilder | ) |

C interface to `ArrayBuilder::endlist`.

## ◆ awkward_ArrayBuilder_endrecord()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_endrecord | ( | void * | arraybuilder | ) |

C interface to `ArrayBuilder::endrecord`.

## ◆ awkward_ArrayBuilder_endtuple()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_endtuple | ( | void * | arraybuilder | ) |

C interface to `ArrayBuilder::endtuple`.

## ◆ awkward_ArrayBuilder_field_check()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_field_check | ( | void * | arraybuilder,
|  | const char * | key
| ) |  |

C interface to `ArrayBuilder::field_check`.

## ◆ awkward_ArrayBuilder_field_fast()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_field_fast | ( | void * | arraybuilder,
|  | const char * | key
| ) |  |

C interface to `ArrayBuilder::field_fast`.

## ◆ awkward_ArrayBuilder_index()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_index | ( | void * | arraybuilder,
|  | int64_t | index
| ) |  |

C interface to `ArrayBuilder::index`.

## ◆ awkward_ArrayBuilder_integer()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_integer | ( | void * | arraybuilder,
|  | int64_t | x
| ) |  |

C interface to `ArrayBuilder::integer`.

## ◆ awkward_ArrayBuilder_length()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_length | ( | void * | arraybuilder,
|  | int64_t * | result
| ) |  |

C interface to `ArrayBuilder::length`.

## ◆ awkward_ArrayBuilder_null()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_null | ( | void * | arraybuilder | ) |

C interface to `ArrayBuilder::null`.

## ◆ awkward_ArrayBuilder_real()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_real | ( | void * | arraybuilder,
|  | double | x
| ) |  |

C interface to `ArrayBuilder::real`.

## ◆ awkward_ArrayBuilder_string()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_string | ( | void * | arraybuilder,
|  | const char * | x
| ) |  |

C interface to `ArrayBuilder::string`.

## ◆ awkward_ArrayBuilder_string_length()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_string_length | ( | void * | arraybuilder,
|  | const char * | x,
|  | int64_t | length
| ) |  |

C interface to `ArrayBuilder::string`.

## ◆ awkward_ArrayBuilder_timedelta()

LIBAWKWARD_EXPORT_SYMBOL uint8_t awkward_ArrayBuilder_timedelta | ( | void * | arraybuilder,
|  | int64_t | x,
|  | const char * | unit
| ) |  |

C interface to `ArrayBuilder::timedelta`.